Bug 193114 - confusing error message (static template member initialization)
confusing error message (static template member initialization)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-25 08:08 EDT by Neal Becker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 05:02:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-05-25 08:08:50 EDT
Description of problem:

template<typename T>
struct A {
  static const int map[4];
};

//template<>
const int A<int>::map[4] = {0,1,2,3};

Produces this confusing message:
error: too few template-parameter-lists

Version-Release number of selected component (if applicable):


How reproducible:

every time
Steps to Reproduce:
1. compile above
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jakub Jelinek 2006-05-29 06:46:55 EDT
Can you explain why do you think it is confusing and what else would you like
to see for an error message instead?
template-parameter-list is ISO C++ 98 standard term, see [temp]/1.

Note You need to log in before you can comment on or make changes to this bug.